MediaWiki:Tables.css: Difference between revisions

Jump to navigation Jump to search
Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
Line 23: Line 23:
}
}


.page-content :is(.article-table, .wikitable, .fandom-table) {
.mw-parser-output :is(.article-table, .wikitable, .fandom-table) {
margin: 1em 0;
margin: 1em 0;
}
}


.page-content .article-table {
.mw-parser-output .article-table {
border-collapse: collapse;
border-collapse: collapse;
}
}
Line 632: Line 632:


/** For [[Archon Quests]] Character Appearances **/
/** For [[Archon Quests]] Character Appearances **/
.page-content .appearances-table > * > tr > :is(th, td) {
.mw-parser-output .appearances-table > * > tr > :is(th, td) {
padding-top: 0;
padding-top: 0;
padding-bottom: 0;
padding-bottom: 0;
}
}


.page-content .appearances-table tr:not(:first-child):not(:nth-child(2)) th:not(:nth-child(1)) {
.mw-parser-output .appearances-table tr:not(:first-child):not(:nth-child(2)) th:not(:nth-child(1)) {
border: solid 1px var(--theme-border-color);
border: solid 1px var(--theme-border-color);
}
}


/** zero padding table cell and header **/
/** zero padding table cell and header **/
.page-content table.p-0 td,
.mw-parser-output table.p-0 td,
.page-content table.p-0 th {
.mw-parser-output table.p-0 th {
padding: 0;
padding: 0;
}
}


/** zero margin cell and header **/
/** zero margin cell and header **/
.page-content table.m-0 td,
.mw-parser-output table.m-0 td,
.page-content table.m-0 th {
.mw-parser-output table.m-0 th {
margin: 0;
margin: 0;
}
}